#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(NormalDisplacement_attr)
AttributeKey<Float> attrHeight;
AttributeKey<Float> attrZeroValue;
AttributeKey<Float> attrHeightMultiplier;
RDL2_DSO_ATTR_DEFINE(Displacement)
NormalDisplacement_attr::attrHeight = sceneClass.declareAttribute<Float>("height", 1.0f, FLAGS_BINDABLE, INTERFACE_MAP, {});
sceneClass.setMetadata(NormalDisplacement_attr::attrHeight, "comment", "This parameter is used as the initial displacement before the zero_value and height_multiplier are applied.");
NormalDisplacement_attr::attrZeroValue = sceneClass.declareAttribute<Float>("zero_value", 0.0f, FLAGS_NONE, INTERFACE_GENERIC, {"zero value"});
sceneClass.setMetadata(NormalDisplacement_attr::attrZeroValue, "label", "zero value");
sceneClass.setMetadata(NormalDisplacement_attr::attrZeroValue, "comment", "This value is added to the displacement before applying the height_multiplier.");
NormalDisplacement_attr::attrHeightMultiplier = sceneClass.declareAttribute<Float>("height_multiplier", 1.0f, FLAGS_BINDABLE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(NormalDisplacement_attr::attrHeightMultiplier, "label", "height multiplier");
sceneClass.setMetadata(NormalDisplacement_attr::attrHeightMultiplier, "comment", "Multiply the computed (post zero-value) height with this factor.");
RDL2_DSO_ATTR_END
using namespace NormalDisplacement_attr;
