#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(VectorDisplacement_attr)
AttributeKey<Vec3f> attrVector;
AttributeKey<Float> attrFactor;
AttributeKey<Int> attrSourceSpace;
AttributeKey<Int> attrTangentSpaceStyle;
RDL2_DSO_ATTR_DEFINE(Displacement)
VectorDisplacement_attr::attrVector = sceneClass.declareAttribute<Vec3f>("vector", Vec3f(0.0f, 0.0f, 0.0f), FLAGS_BINDABLE, INTERFACE_MAP, {});
sceneClass.setMetadata(VectorDisplacement_attr::attrVector, "comment", "The direction to apply the displacement.  Bind a map with tangent or object space vector values here.");
VectorDisplacement_attr::attrFactor = sceneClass.declareAttribute<Float>("factor", 1.0f, FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(VectorDisplacement_attr::attrFactor, "comment", "A multiplier applied to the input vector");
VectorDisplacement_attr::attrSourceSpace = sceneClass.declareAttribute<Int>("source_space", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"source space"});
sceneClass.setEnumValue(VectorDisplacement_attr::attrSourceSpace, 0, "tangent");
sceneClass.setEnumValue(VectorDisplacement_attr::attrSourceSpace, 1, "object");
sceneClass.setMetadata(VectorDisplacement_attr::attrSourceSpace, "label", "source space");
sceneClass.setMetadata(VectorDisplacement_attr::attrSourceSpace, "comment", "The space that the map bound to the vector parameter is in");
VectorDisplacement_attr::attrTangentSpaceStyle = sceneClass.declareAttribute<Int>("tangent_space_style", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"tangent space style"});
sceneClass.setEnumValue(VectorDisplacement_attr::attrTangentSpaceStyle, 0, "tnb");
sceneClass.setEnumValue(VectorDisplacement_attr::attrTangentSpaceStyle, 1, "tbn");
sceneClass.setMetadata(VectorDisplacement_attr::attrTangentSpaceStyle, "label", "tangent space style");
sceneClass.setMetadata(VectorDisplacement_attr::attrTangentSpaceStyle, "comment", "Controls how RGB maps to Tangent, Normal, and Bi-Normal");
RDL2_DSO_ATTR_END
using namespace VectorDisplacement_attr;
