#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(ImageDisplayFilter_attr)
AttributeKey<SceneObject*> attrInput;
AttributeKey<String> attrImagePath;
AttributeKey<Int> attrDisplayType;
AttributeKey<SceneObject*> attrMask;
AttributeKey<Bool> attrInvertMask;
AttributeKey<Float> attrMix;
RDL2_DSO_ATTR_DEFINE(DisplayFilter)
ImageDisplayFilter_attr::attrInput = sceneClass.declareAttribute<SceneObject*>("input", FLAGS_NONE, INTERFACE_RENDEROUTPUT | INTERFACE_DISPLAYFILTER, {});
sceneClass.setMetadata(ImageDisplayFilter_attr::attrInput, "comment", "RenderOutput to use in the ImageDisplayFilter");
ImageDisplayFilter_attr::attrImagePath = sceneClass.declareAttribute<String>("image_path", FLAGS_FILENAME, INTERFACE_GENERIC, {});
sceneClass.setMetadata(ImageDisplayFilter_attr::attrImagePath, "comment", "File path to the .exr we want to fit to the image plane");
ImageDisplayFilter_attr::attrDisplayType = sceneClass.declareAttribute<Int>("display_type", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {});
sceneClass.setEnumValue(ImageDisplayFilter_attr::attrDisplayType, 0, "stretch");
sceneClass.setEnumValue(ImageDisplayFilter_attr::attrDisplayType, 1, "fit_horizontal");
sceneClass.setEnumValue(ImageDisplayFilter_attr::attrDisplayType, 2, "fit_vertical");
sceneClass.setEnumValue(ImageDisplayFilter_attr::attrDisplayType, 3, "fit_by_smallest_dimension");
sceneClass.setEnumValue(ImageDisplayFilter_attr::attrDisplayType, 4, "fit_by_largest_dimension");
sceneClass.setEnumValue(ImageDisplayFilter_attr::attrDisplayType, 5, "no_scale");
sceneClass.setMetadata(ImageDisplayFilter_attr::attrDisplayType, "comment", "Method used to fit the input image to the image plane.");
ImageDisplayFilter_attr::attrMask = sceneClass.declareAttribute<SceneObject*>("mask", FLAGS_NONE, INTERFACE_RENDEROUTPUT | INTERFACE_DISPLAYFILTER, {});
sceneClass.setMetadata(ImageDisplayFilter_attr::attrMask, "comment", "RenderOutput used to mask the output, revealing input1");
ImageDisplayFilter_attr::attrInvertMask = sceneClass.declareAttribute<Bool>("invert_mask", false, FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setGroup("Advanced", ImageDisplayFilter_attr::attrInvertMask);
sceneClass.setMetadata(ImageDisplayFilter_attr::attrInvertMask, "comment", "Invert the value of the mask");
ImageDisplayFilter_attr::attrMix = sceneClass.declareAttribute<Float>("mix", 1.0f, FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setGroup("Advanced", ImageDisplayFilter_attr::attrMix);
sceneClass.setMetadata(ImageDisplayFilter_attr::attrMix, "min", "0.0f");
sceneClass.setMetadata(ImageDisplayFilter_attr::attrMix, "max", "1.0f");
sceneClass.setMetadata(ImageDisplayFilter_attr::attrMix, "comment", "Blend [0,1] between input and output");
RDL2_DSO_ATTR_END
using namespace ImageDisplayFilter_attr;
