#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(AttributeMap_attr)
AttributeKey<Int> attrMapType;
AttributeKey<Rgb> attrDefaultValue;
AttributeKey<Bool> attrWarnWhenUnavailable;
AttributeKey<String> attrPrimitiveAttributeName;
AttributeKey<Int> attrPrimitiveAttributeType;
AttributeKey<Rgb> attrColor;
RDL2_DSO_ATTR_DEFINE(Map)
AttributeMap_attr::attrMapType = sceneClass.declareAttribute<Int>("map_type", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"map type"});
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 0, "primitive attribute");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 1, "position");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 2, "texture st");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 3, "shading normal");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 4, "geometric normal");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 5, "dpds");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 6, "dpdt");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 7, "dnds");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 8, "dndt");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 9, "map color");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 12, "hair surface P");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 13, "hair surface N");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 14, "hair surface st");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 15, "hair closest surface st");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 16, "id");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 17, "velocity");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 18, "acceleration");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 19, "motionvec");
sceneClass.setEnumValue(AttributeMap_attr::attrMapType, 20, "observer direction");
sceneClass.setMetadata(AttributeMap_attr::attrMapType, "label", "map type");
AttributeMap_attr::attrDefaultValue = sceneClass.declareAttribute<Rgb>("default_value", Rgb(1.0f, 1.0f, 1.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {"default value"});
sceneClass.setMetadata(AttributeMap_attr::attrDefaultValue, "label", "default value");
sceneClass.setMetadata(AttributeMap_attr::attrDefaultValue, "comment", "default value to display when the requested attribute is not available");
AttributeMap_attr::attrWarnWhenUnavailable = sceneClass.declareAttribute<Bool>("warn_when_unavailable", false, FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(AttributeMap_attr::attrWarnWhenUnavailable, "comment", "Whether or not to issue a warning when the requested attribute is unavailable");
AttributeMap_attr::attrPrimitiveAttributeName = sceneClass.declareAttribute<String>("primitive_attribute_name", "Cd", FLAGS_NONE, INTERFACE_GENERIC, {"primitive attribute name"});
sceneClass.setGroup("Primitive Attribute", AttributeMap_attr::attrPrimitiveAttributeName);
sceneClass.setMetadata(AttributeMap_attr::attrPrimitiveAttributeName, "label", "primitive attribute name");
sceneClass.setMetadata(AttributeMap_attr::attrPrimitiveAttributeName, "comment", "the name of primitive attribute to display when attribute 'map type' is set to 'primitive attribute'");
AttributeMap_attr::attrPrimitiveAttributeType = sceneClass.declareAttribute<Int>("primitive_attribute_type", 3, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"primitive attribute type"});
sceneClass.setGroup("Primitive Attribute", AttributeMap_attr::attrPrimitiveAttributeType);
sceneClass.setEnumValue(AttributeMap_attr::attrPrimitiveAttributeType, 0, "float");
sceneClass.setEnumValue(AttributeMap_attr::attrPrimitiveAttributeType, 1, "vec2f");
sceneClass.setEnumValue(AttributeMap_attr::attrPrimitiveAttributeType, 2, "vec3f");
sceneClass.setEnumValue(AttributeMap_attr::attrPrimitiveAttributeType, 3, "rgb");
sceneClass.setEnumValue(AttributeMap_attr::attrPrimitiveAttributeType, 4, "int");
sceneClass.setMetadata(AttributeMap_attr::attrPrimitiveAttributeType, "label", "primitive attribute type");
sceneClass.setMetadata(AttributeMap_attr::attrPrimitiveAttributeType, "comment", "the type of primitive attribute to display when attribute 'map type' is set to 'primitive attribute'");
AttributeMap_attr::attrColor = sceneClass.declareAttribute<Rgb>("color", Rgb(1.0f, 1.0f, 1.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(AttributeMap_attr::attrColor, "comment", "input color - preferably a connected map");
sceneClass.setMetadata(AttributeMap_attr::attrColor, "disable when", "{ map_type != 'map color' }");
RDL2_DSO_ATTR_END
using namespace AttributeMap_attr;
