#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(CheckerboardMap_attr)
AttributeKey<Rgb> attrColorA;
AttributeKey<Rgb> attrColorB;
AttributeKey<Int> attrUTiles;
AttributeKey<Int> attrVTiles;
AttributeKey<Int> attrTextureEnum;
AttributeKey<Vec3f> attrInputTextureCoordinate;
RDL2_DSO_ATTR_DEFINE(Map)
CheckerboardMap_attr::attrColorA = sceneClass.declareAttribute<Rgb>("color_A", Rgb(0.0f, 0.0f, 0.0f), FLAGS_NONE, INTERFACE_GENERIC, {"color A"});
sceneClass.setMetadata(CheckerboardMap_attr::attrColorA, "label", "color A");
CheckerboardMap_attr::attrColorB = sceneClass.declareAttribute<Rgb>("color_B", Rgb(1.0f, 1.0f, 1.0f), FLAGS_NONE, INTERFACE_GENERIC, {"color B"});
sceneClass.setMetadata(CheckerboardMap_attr::attrColorB, "label", "color B");
CheckerboardMap_attr::attrUTiles = sceneClass.declareAttribute<Int>("num_u_tiles", 8, FLAGS_NONE, INTERFACE_GENERIC, {"num u tiles"});
sceneClass.setMetadata(CheckerboardMap_attr::attrUTiles, "label", "num u tiles");
sceneClass.setMetadata(CheckerboardMap_attr::attrUTiles, "comment", "number of checkerboard squares in the U direction");
CheckerboardMap_attr::attrVTiles = sceneClass.declareAttribute<Int>("num_v_tiles", 8, FLAGS_NONE, INTERFACE_GENERIC, {"num v tiles"});
sceneClass.setMetadata(CheckerboardMap_attr::attrVTiles, "label", "num v tiles");
sceneClass.setMetadata(CheckerboardMap_attr::attrVTiles, "comment", "number of checkerboard squares in the V direction");
CheckerboardMap_attr::attrTextureEnum = sceneClass.declareAttribute<Int>("texture_coordinates", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"texture coordinates"});
sceneClass.setEnumValue(CheckerboardMap_attr::attrTextureEnum, 0, "texture");
sceneClass.setEnumValue(CheckerboardMap_attr::attrTextureEnum, 1, "input texture coordinates");
sceneClass.setMetadata(CheckerboardMap_attr::attrTextureEnum, "label", "texture coordinates");
sceneClass.setMetadata(CheckerboardMap_attr::attrTextureEnum, "comment", "switches between the model's uv coordinates or the input texture coordinates");
CheckerboardMap_attr::attrInputTextureCoordinate = sceneClass.declareAttribute<Vec3f>("input_texture_coordinates", Vec3f(0.0f, 0.0f, 0.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {"input texture coordinates"});
sceneClass.setMetadata(CheckerboardMap_attr::attrInputTextureCoordinate, "label", "input texture coordinates");
sceneClass.setMetadata(CheckerboardMap_attr::attrInputTextureCoordinate, "comment", "bind a shader that outputs UV coordinates (such as a projection shader) here");
RDL2_DSO_ATTR_END
using namespace CheckerboardMap_attr;
