#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(DebugMap_attr)
AttributeKey<Bool> attrCheckerboard;
AttributeKey<Int> attrDebugMapType;
AttributeKey<Vec3f> attrInputNormal;
AttributeKey<Int> attrInputNormalSpace;
AttributeKey<Float> attrInputNormalDial;
AttributeKey<String> attrPrimitiveAttributeName;
AttributeKey<Int> attrPrimitiveAttributeType;
RDL2_DSO_ATTR_DEFINE(Map)
DebugMap_attr::attrCheckerboard = sceneClass.declareAttribute<Bool>("checkerboard", true, FLAGS_NONE, INTERFACE_GENERIC, {});
DebugMap_attr::attrDebugMapType = sceneClass.declareAttribute<Int>("map_type", FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"map type"});
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 0, "position");
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 1, "texture st");
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 2, "shading normal");
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 3, "geometric normal");
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 4, "dpds");
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 5, "dpdt");
sceneClass.setEnumValue(DebugMap_attr::attrDebugMapType, 6, "primitive attribute");
sceneClass.setMetadata(DebugMap_attr::attrDebugMapType, "label", "map type");
DebugMap_attr::attrInputNormal = sceneClass.declareAttribute<Vec3f>("input_normal", Vec3f(0.0f, 0.0f, 1.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {"input normal"});
sceneClass.setMetadata(DebugMap_attr::attrInputNormal, "label", "input normal");
DebugMap_attr::attrInputNormalSpace = sceneClass.declareAttribute<Int>("input_normal_space", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"input normal space"});
sceneClass.setGroup("Normal", DebugMap_attr::attrInputNormalSpace);
sceneClass.setEnumValue(DebugMap_attr::attrInputNormalSpace, 0, "tangent");
sceneClass.setEnumValue(DebugMap_attr::attrInputNormalSpace, 1, "render");
sceneClass.setMetadata(DebugMap_attr::attrInputNormalSpace, "label", "input normal space");
sceneClass.setMetadata(DebugMap_attr::attrInputNormalSpace, "comment", "Specifies what space the input normal is in.  Usually this is tangent space for texture maps and render space for projections");
DebugMap_attr::attrInputNormalDial = sceneClass.declareAttribute<Float>("input_normal_dial", 1.0f, FLAGS_NONE, INTERFACE_GENERIC, {"input normal dial"});
sceneClass.setMetadata(DebugMap_attr::attrInputNormalDial, "label", "input normal dial");
DebugMap_attr::attrPrimitiveAttributeName = sceneClass.declareAttribute<String>("primitive_attribute_name", "st", FLAGS_NONE, INTERFACE_GENERIC, {"primitive attribute name"});
sceneClass.setGroup("Primitive Attribute", DebugMap_attr::attrPrimitiveAttributeName);
sceneClass.setMetadata(DebugMap_attr::attrPrimitiveAttributeName, "label", "primitive attribute name");
sceneClass.setMetadata(DebugMap_attr::attrPrimitiveAttributeName, "comment", "the name of primitive attribute to displayed when attribute 'map type' is set to 'primitive attribute'");
DebugMap_attr::attrPrimitiveAttributeType = sceneClass.declareAttribute<Int>("primitive_attribute_type", 1, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {"primitive attribute type"});
sceneClass.setGroup("Primitive Attribute", DebugMap_attr::attrPrimitiveAttributeType);
sceneClass.setEnumValue(DebugMap_attr::attrPrimitiveAttributeType, 0, "float");
sceneClass.setEnumValue(DebugMap_attr::attrPrimitiveAttributeType, 1, "vec2f");
sceneClass.setEnumValue(DebugMap_attr::attrPrimitiveAttributeType, 2, "vec3f");
sceneClass.setEnumValue(DebugMap_attr::attrPrimitiveAttributeType, 3, "rgb");
sceneClass.setMetadata(DebugMap_attr::attrPrimitiveAttributeType, "label", "primitive attribute type");
sceneClass.setMetadata(DebugMap_attr::attrPrimitiveAttributeType, "comment", "the type of primitive attribute to displayed when attribute 'map type' is set to 'primitive attribute'");
RDL2_DSO_ATTR_END
using namespace DebugMap_attr;
