#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(ExtraAovMap_attr)
AttributeKey<Rgb> attrColor;
AttributeKey<String> attrLabel;
AttributeKey<Bool> attrPostScatter;
RDL2_DSO_ATTR_DEFINE(Map)
ExtraAovMap_attr::attrColor = sceneClass.declareAttribute<Rgb>("color", Rgb(1.0f, 1.0f, 1.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(ExtraAovMap_attr::attrColor, "label", "color");
sceneClass.setMetadata(ExtraAovMap_attr::attrColor, "comment", "Bind the root of a map shader network that you want evaluated as an extra aov");
ExtraAovMap_attr::attrLabel = sceneClass.declareAttribute<String>("label", FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(ExtraAovMap_attr::attrLabel, "label", "label");
sceneClass.setMetadata(ExtraAovMap_attr::attrLabel, "comment", "Sets the LPE label that is used for the extra aov");
ExtraAovMap_attr::attrPostScatter = sceneClass.declareAttribute<Bool>("post_scatter", false, FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(ExtraAovMap_attr::attrPostScatter, "label", "post scatter");
sceneClass.setMetadata(ExtraAovMap_attr::attrPostScatter, "comment", "If true, accumulate this aov when scattering off the surface as an indirect ray (after the LPE scatter transition event, after path throughput multiplication), rather than when the surface is first intersected.  The purpose of this setting is to efficiently capture information from all rays that leave a surface that could potentially intersect and trigger aov evaluation on other surfaces.");
RDL2_DSO_ATTR_END
using namespace ExtraAovMap_attr;
