#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(UsdTransform2d_attr)
AttributeKey<Rgb> attrIn;
AttributeKey<Float> attrRotation;
AttributeKey<Vec2f> attrScale;
AttributeKey<Vec2f> attrTranslation;
RDL2_DSO_ATTR_DEFINE(Map)
UsdTransform2d_attr::attrIn = sceneClass.declareAttribute<Rgb>("in", Rgb(1.0f, 1.0f, 1.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdTransform2d_attr::attrIn, "comment", "This input provides the data. It is usually connected to a UsdPrimvarReader_float2 that will provide the data.");
UsdTransform2d_attr::attrRotation = sceneClass.declareAttribute<Float>("rotation", 0.0f, FLAGS_NONE, INTERFACE_GENERIC, {"rotation"});
sceneClass.setMetadata(UsdTransform2d_attr::attrRotation, "label", "rotation");
sceneClass.setMetadata(UsdTransform2d_attr::attrRotation, "comment", "Counter-clockwise rotation in degrees around the origin to be applied to all components of the data.");
UsdTransform2d_attr::attrScale = sceneClass.declareAttribute<Vec2f>("scale", Vec2f(1.0f, 1.0f), FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdTransform2d_attr::attrScale, "comment", "Scale around the origin to be applied to all components of the data.");
UsdTransform2d_attr::attrTranslation = sceneClass.declareAttribute<Vec2f>("translation", Vec2f(0.0f, 0.0f), FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdTransform2d_attr::attrTranslation, "comment", "Translation to be applied to all components of the data.");
RDL2_DSO_ATTR_END
using namespace UsdTransform2d_attr;
