#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(UsdUVTexture_attr)
AttributeKey<String> attrFile;
AttributeKey<Int> attrOutputMode;
AttributeKey<Vec2f> attrSt;
AttributeKey<Int> attrWrapS;
AttributeKey<Int> attrWrapT;
AttributeKey<Rgb> attrFallback;
AttributeKey<Rgb> attrScale;
AttributeKey<Rgb> attrBias;
AttributeKey<Int> attrSourceColorSpace;
RDL2_DSO_ATTR_DEFINE(Map)
UsdUVTexture_attr::attrFile = sceneClass.declareAttribute<String>("file", FLAGS_FILENAME, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdUVTexture_attr::attrFile, "comment", "Filename of an EXR or TX format texture (must be mip-mapped and tiled with maketx). If filename contains '<UDIM>', udim index substitution is performed on filename.");
UsdUVTexture_attr::attrOutputMode = sceneClass.declareAttribute<Int>("output_mode", 0, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {});
sceneClass.setEnumValue(UsdUVTexture_attr::attrOutputMode, 0, "rgb");
sceneClass.setEnumValue(UsdUVTexture_attr::attrOutputMode, 1, "r");
sceneClass.setEnumValue(UsdUVTexture_attr::attrOutputMode, 2, "g");
sceneClass.setEnumValue(UsdUVTexture_attr::attrOutputMode, 3, "b");
sceneClass.setEnumValue(UsdUVTexture_attr::attrOutputMode, 4, "a");
sceneClass.setMetadata(UsdUVTexture_attr::attrOutputMode, "label", "output mode");
sceneClass.setMetadata(UsdUVTexture_attr::attrOutputMode, "comment", "Controls which channel(s) to output");
UsdUVTexture_attr::attrSt = sceneClass.declareAttribute<Vec2f>("st", Vec2f(1.0f, 1.0f), FLAGS_BINDABLE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdUVTexture_attr::attrSt, "label", "st");
sceneClass.setMetadata(UsdUVTexture_attr::attrSt, "comment", "Texture coordinate to use to fetch this texture.");
UsdUVTexture_attr::attrWrapS = sceneClass.declareAttribute<Int>("wrapS", 4, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {});
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapS, 0, "black");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapS, 1, "clamp");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapS, 2, "repeat");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapS, 3, "mirror");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapS, 4, "useMetadata");
sceneClass.setMetadata(UsdUVTexture_attr::attrWrapS, "label", "wrap s");
sceneClass.setMetadata(UsdUVTexture_attr::attrWrapS, "comment", "Wrap mode when reading this texture.");
UsdUVTexture_attr::attrWrapT = sceneClass.declareAttribute<Int>("wrapT", 4, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {});
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapT, 0, "black");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapT, 1, "clamp");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapT, 2, "repeat");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapT, 3, "mirror");
sceneClass.setEnumValue(UsdUVTexture_attr::attrWrapT, 4, "useMetadata");
sceneClass.setMetadata(UsdUVTexture_attr::attrWrapT, "label", "wrap t");
sceneClass.setMetadata(UsdUVTexture_attr::attrWrapT, "comment", "Wrap mode when reading this texture.");
UsdUVTexture_attr::attrFallback = sceneClass.declareAttribute<Rgb>("fallback", Rgb(0.0f, 0.0f, 0.0f), FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdUVTexture_attr::attrFallback, "label", "fallback");
sceneClass.setMetadata(UsdUVTexture_attr::attrFallback, "comment", "Fallback value used when texture can not be read.");
UsdUVTexture_attr::attrScale = sceneClass.declareAttribute<Rgb>("scale", Rgb(1.0f, 1.0f, 1.0f), FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdUVTexture_attr::attrScale, "label", "scale");
sceneClass.setMetadata(UsdUVTexture_attr::attrScale, "comment", "Scale to be applied to all components of the texture.  output = textureValue * scale + bias");
UsdUVTexture_attr::attrBias = sceneClass.declareAttribute<Rgb>("bias", Rgb(0.0f, 0.0f, 0.0f), FLAGS_NONE, INTERFACE_GENERIC, {});
sceneClass.setMetadata(UsdUVTexture_attr::attrBias, "label", "bias");
sceneClass.setMetadata(UsdUVTexture_attr::attrBias, "comment", "Bias to be applied to all components of the texture.  output = textureValue * scale + bias");
UsdUVTexture_attr::attrSourceColorSpace = sceneClass.declareAttribute<Int>("sourceColorSpace", 3, FLAGS_ENUMERABLE, INTERFACE_GENERIC, {});
sceneClass.setEnumValue(UsdUVTexture_attr::attrSourceColorSpace, 0, "raw");
sceneClass.setEnumValue(UsdUVTexture_attr::attrSourceColorSpace, 1, "sRGB");
sceneClass.setEnumValue(UsdUVTexture_attr::attrSourceColorSpace, 3, "auto");
sceneClass.setMetadata(UsdUVTexture_attr::attrSourceColorSpace, "label", "source color space");
sceneClass.setMetadata(UsdUVTexture_attr::attrSourceColorSpace, "comment", "Flag indicating the color space in which the source texture is encoded.  If set to auto, gamma correction will be applied if the images is not single channel.");
RDL2_DSO_ATTR_END
using namespace UsdUVTexture_attr;
