#include <scene_rdl2/scene/rdl2/rdl2.h>
using namespace scene_rdl2::rdl2;
RDL2_DSO_ATTR_DECLARE_NS(RaySwitchMaterial_attr)
AttributeKey<SceneObject*> attrDefaultMaterial;
AttributeKey<SceneObject*> attrCameraRayMaterial;
AttributeKey<SceneObject*> attrIndirectMirrorRayMaterial;
AttributeKey<SceneObject*> attrIndirectGlossyRayMaterial;
AttributeKey<SceneObject*> attrIndirectDiffuseRayMaterial;
AttributeKey<Bool> attrCutoutCameraRays;
RDL2_DSO_ATTR_DEFINE(Material)
RaySwitchMaterial_attr::attrDefaultMaterial = sceneClass.declareAttribute<SceneObject*>("default_material", FLAGS_NONE, INTERFACE_MATERIAL, {"default material"});
sceneClass.setMetadata(RaySwitchMaterial_attr::attrDefaultMaterial, "label", "default material");
sceneClass.setMetadata(RaySwitchMaterial_attr::attrDefaultMaterial, "comment", "The default material to use if no material was specified for the incoming ray type.");
RaySwitchMaterial_attr::attrCameraRayMaterial = sceneClass.declareAttribute<SceneObject*>("camera_ray_material", FLAGS_NONE, INTERFACE_MATERIAL, {"camera ray material"});
sceneClass.setMetadata(RaySwitchMaterial_attr::attrCameraRayMaterial, "label", "camera ray material");
sceneClass.setMetadata(RaySwitchMaterial_attr::attrCameraRayMaterial, "comment", "The material to use if the incoming ray is a camera ray.");
RaySwitchMaterial_attr::attrIndirectMirrorRayMaterial = sceneClass.declareAttribute<SceneObject*>("indirect_mirror_ray_material", FLAGS_NONE, INTERFACE_MATERIAL, {"indirect mirror ray material"});
sceneClass.setMetadata(RaySwitchMaterial_attr::attrIndirectMirrorRayMaterial, "label", "indirect mirror ray material");
sceneClass.setMetadata(RaySwitchMaterial_attr::attrIndirectMirrorRayMaterial, "comment", "The material to use if the incoming ray is an indirect mirror ray.");
RaySwitchMaterial_attr::attrIndirectGlossyRayMaterial = sceneClass.declareAttribute<SceneObject*>("indirect_glossy_ray_material", FLAGS_NONE, INTERFACE_MATERIAL, {"indirect glossy ray material"});
sceneClass.setMetadata(RaySwitchMaterial_attr::attrIndirectGlossyRayMaterial, "label", "indirect glossy ray material");
sceneClass.setMetadata(RaySwitchMaterial_attr::attrIndirectGlossyRayMaterial, "comment", "The material to use if the incoming ray is an indirect glossy ray.");
RaySwitchMaterial_attr::attrIndirectDiffuseRayMaterial = sceneClass.declareAttribute<SceneObject*>("indirect_diffuse_ray_material", FLAGS_NONE, INTERFACE_MATERIAL, {"indirect diffuse ray material"});
sceneClass.setMetadata(RaySwitchMaterial_attr::attrIndirectDiffuseRayMaterial, "label", "indirect diffuse ray material");
sceneClass.setMetadata(RaySwitchMaterial_attr::attrIndirectDiffuseRayMaterial, "comment", "The material to use if the incoming ray is an indirect diffuse ray.");
RaySwitchMaterial_attr::attrCutoutCameraRays = sceneClass.declareAttribute<Bool>("cutout_camera_rays", false, FLAGS_NONE, INTERFACE_GENERIC, {"cutout camera rays"});
sceneClass.setMetadata(RaySwitchMaterial_attr::attrCutoutCameraRays, "label", "cutout camera rays");
sceneClass.setMetadata(RaySwitchMaterial_attr::attrCutoutCameraRays, "comment", "If true, this material acts as a cutout material, i.e. we terminate any rays that encounter this material.");
RDL2_DSO_ATTR_END
using namespace RaySwitchMaterial_attr;
